package com.tfis.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.tfis.common.annotation.Excel;
import com.tfis.common.core.domain.BaseEntity;

/**
 * 系统信息管理对象 biz_aircraft_system
 * 
 * @author allen
 * @date 2023-11-23
 */
public class AircraftSystem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 机型 */
    @Excel(name = "机型")
    private Long aircraftTypeId;

    /** 系统名称 */
    @Excel(name = "系统名称")
    private String aircraftTypeName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAircraftTypeId(Long aircraftTypeId) 
    {
        this.aircraftTypeId = aircraftTypeId;
    }

    public Long getAircraftTypeId() 
    {
        return aircraftTypeId;
    }
    public void setAircraftTypeName(String aircraftTypeName) 
    {
        this.aircraftTypeName = aircraftTypeName;
    }

    public String getAircraftTypeName() 
    {
        return aircraftTypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("aircraftTypeId", getAircraftTypeId())
            .append("aircraftTypeName", getAircraftTypeName())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
